<template>
  <div>
    <tait-table :columns="columns" :url="url" :createMode="createMode" :editKey="identifier" :deleteKey="identifier" />
  </div>
</template>


<script lang="ts">
import { defineComponent } from "vue";

import taitTable from '@/components/Table.vue';
import options from "@/utils/options";

export default defineComponent({
  components: {
    "tait-table": taitTable
  },

  data() {
    return {
      createMode: true,
      identifier: "id",
      columns: [
        { field: 'suid', header: 'SUID', type: "text", selectable: true },
        { field: 'wuid', header: 'WUID', type: "text" },
        { field: 'alias', header: 'Alias', type: "text" },
        {
          field: 'type', header: 'Type', type: "dropdown",
          options: options.subscriberType
        },
        {
          field: 'vocoderMode', header: 'Vocoder Mode', type: "dropdown",
          options: options.vocoder
        },
        {
          field: 'visitor', header: 'Visitor', type: "dropdown",
          options: options.yesNo
        },
        {
          field: 'status', header: 'Status', type: "dropdown",
          options: options.subscriberStatus
        },
        { field: 'locationId', header: 'Location ID', type: "text" },
        { field: 'locationAlias', header: 'Location Alias', type: "text" },
        {
          field: 'locationType', header: 'Location Type', type: "dropdown",
          options: options.location
        },
        { field: 'lastRegistration', header: 'Last Registration', type: "datePeriods" },
        { field: 'expires', header: 'Expires', type: "text" },
        {
          field: 'inhibited', header: 'Inhibited', type: "dropdown",
          options: [{ "name": "yes", "value": 1 }, { "name": "no", "value": 0 }]
        },
        { field: 'locationRestrictions', header: 'Location Restrictions', type: "text" },
        { field: 'subscriberRestrictions', header: 'Subscriber Restrictions', type: "text" },
        {
          field: 'priority', header: 'Priority', type: "dropdown",
          options: options.priority
        },
        { field: 'ipPool', header: 'IP Pool', type: "text" },
        {
          field: 'agencyName', header: 'Agency Name', type: "multiselect",
          options: ["TEST", "AGENCIES"]
        }
      ],
      url: "/testdata"
    };
  }
})

</script>